Trying to update Lightroom Classic 8.0 to latest 8.3.1

New Here ,
Dec 25, 2020

Copy link to clipboard

Copied

Trying to update Lightroom Classic from 8.0 to 8.3.1 but update program wants to update to the latest version wich i dont want to. Why cant it stay to my 8.x instead of trying to update to like 9.x or 10.x?
Wish that there was a setting for that.

Same for Photoshop. Trying to update from 20.0 to 20.0.10 but updater wants to update to 23.x

Adobe Community Professional
Correct answer by WobertC | Adobe Community Professional

By Adobe's policy and the Adobe Creative Cloud Dekstop App  you can only install the two most recent versions of Lr-Classic.

https://helpx.adobe.com/download-install/using/install-previous-version.html

"We provide installers for our current apps and the previous major version of each."

If you System is not compatible with the most recent (n) and (n-1) versions I am sorry to say you are 'stuck' with what you have.

https://helpx.adobe.com/lightroom-classic/system-requirements.html

The CC Desktop App will indicate only the Versions you can install-

ScreenShot271.jpg

 

TOPICS
Download and install, How to, Problem or error, Windows

Views

22

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

Trying to update Lightroom Classic 8.0 to latest 8.3.1

New Here ,
Dec 25, 2020

Copy link to clipboard

Copied

Trying to update Lightroom Classic from 8.0 to 8.3.1 but update program wants to update to the latest version wich i dont want to. Why cant it stay to my 8.x instead of trying to update to like 9.x or 10.x?
Wish that there was a setting for that.

Same for Photoshop. Trying to update from 20.0 to 20.0.10 but updater wants to update to 23.x

Adobe Community Professional
Correct answer by WobertC | Adobe Community Professional

By Adobe's policy and the Adobe Creative Cloud Dekstop App  you can only install the two most recent versions of Lr-Classic.

https://helpx.adobe.com/download-install/using/install-previous-version.html

"We provide installers for our current apps and the previous major version of each."

If you System is not compatible with the most recent (n) and (n-1) versions I am sorry to say you are 'stuck' with what you have.

https://helpx.adobe.com/lightroom-classic/system-requirements.html

The CC Desktop App will indicate only the Versions you can install-

ScreenShot271.jpg

 

TOPICS
Download and install, How to, Problem or error, Windows

Views

23

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Dec 25, 2020 0
Adobe Community Professional ,
Dec 25, 2020

Copy link to clipboard

Copied

By Adobe's policy and the Adobe Creative Cloud Dekstop App  you can only install the two most recent versions of Lr-Classic.

https://helpx.adobe.com/download-install/using/install-previous-version.html

"We provide installers for our current apps and the previous major version of each."

If you System is not compatible with the most recent (n) and (n-1) versions I am sorry to say you are 'stuck' with what you have.

https://helpx.adobe.com/lightroom-classic/system-requirements.html

The CC Desktop App will indicate only the Versions you can install-

ScreenShot271.jpg

 

Regards. My System: Lr-Classic 10.1, Photoshop 22.1, Lightroom 4.1, Windows-10 Nikon DSLR.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Dec 25, 2020 0